--- asterisk/contrib/scripts/install_prereq
+++ asterisk/contrib/scripts/install_prereq
@@ -34,6 +34,13 @@
 PACKAGES_RH="$PACKAGES_RH libsqlite3x-devel radiusclient-ng-devel portaudio-devel postgresql-devel libresample-devel neon-devel libical-devel"
 PACKAGES_RH="$PACKAGES_RH openldap-devel gmime22-devel sqlite2-devel mysql-devel bluez-libs-devel jack-audio-connection-kit-devel"
 
+PACKAGES_MANDRIVA="gcc gcc-c++ make libxml2-devel libncurses-devel"
+PACKAGES_MANDRIVA="$PACKAGES_MANDRIVA libnewt0.52-devel libopenssl1.0.0-devel libspeex-devel libnet-snmp-devel libgmime2.2-devel bison flex"
+PACKAGES_MANDRIVA="$PACKAGES_MANDRIVA libmysql-devel libsqlite3-devel libradiusclient-ng-devel postgresql8.5-devel libldap2.4_2-devel libsqlite0-devel"
+PACKAGES_MANDRIVA="$PACKAGES_MANDRIVA libopenais-devel libjack-devel libbluez-devel libresample-devel libportaudio-devel libspandsp-devel liblua-devel"
+PACKAGES_MANDRIVA="$PACKAGES_MANDRIVA libunixODBC-devel libltdl-devel libfreetds-devel libspandsp-devel libiksemel-devel libvorbis-devel"
+PACKAGES_MANDRIVA="$PACKAGES_MANDRIVA libnbs-devel libpopt-devel libc-client-devel libusb-devel libcurl-devel libical-devel libneon0.27-devel"
+
 PACKAGES_OBSD="popt gmake wget libxml libogg libvorbis curl iksemel spandsp speex iodbc freetds-0.63p1-msdblib mysql-client gmime sqlite sqlite3 jack"
 
 KVERS=`uname -r`
@@ -88,6 +95,12 @@
 	$testcmd yum install -y $extra_packs
 }
 
+handle_mandriva() {
+        # echo "# Distribution is Mandriva or compatible"
+        extra_packs=`check_installed_rpms $PACKAGES_MANDRIVA`
+        $testcmd urpmi --auto $extra_packs
+}
+
 handle_obsd() {
 	# echo "# Distribution is OpenBSD or compatible"
 	extra_packs=`check_installed_pkgs $PACKAGES_OBSD`
@@ -131,10 +144,6 @@
   unsupported_distro='Gentoo'
 fi
 
-if [ -f /etc/mandrake-release ]; then
-  unsupported_distro='Mandriva'
-fi
-
 if [ -f /etc/SuSE-release ]; then
   unsupported_distro='SUSE'
 fi
@@ -151,6 +160,8 @@
 # The distributions we do support:
 if [ -r /etc/debian_version ]; then
   handle_debian
+elif [ -r /etc/mandriva-release ]; then
+  handle_mandriva
 elif [ -r /etc/redhat-release ]; then
   handle_rh
 elif [ "$OS" = 'OpenBSD' ]; then
